import java.util.ArrayList;

public class BancoDeDados {
  private ArrayList<Aula> aulas = new ArrayList<>();

  // Create
  void guardar(Aula aula) {
    aulas.add(aula);
  }

  // Read
  Aula pegarAulaPorDisciplina(String disciplina) {
    for (Aula aula : aulas) {
      if (aula.getDisciplina().equals(disciplina)) {
        return aula;
      }
    }
    return null;
  }

  ArrayList<Aula> pegarAulaPorProfessor(String professorPedido) {
    
    // Criando uma lista vazia
    ArrayList<Aula> aulasDoProfessor = new ArrayList<>();

    // Lendo todas as aulas
    for (Aula aula : aulas) {

      // Se o professor da aula for o que eu pedi no argumento
      if (aula.getProfessor().equals(professorPedido)) {

        // Colocar na lista
        aulasDoProfessor.add(aula);
      }
    }

    // Retornar a lista
    return aulasDoProfessor;
  }

  // Update - não precisa. Quem chamar o Read já tem a referência pro objeto

  // Delete
  void removeAula(Aula aula) {
    aulas.remove(aula);
  }

  void removeAula(String disciplina) {
    Aula aulaDaquelaDisciplina = pegarAulaPorDisciplina(disciplina);
    aulas.remove(aulaDaquelaDisciplina);
  }

  // TODO criar o lerTodas
  // ArrayList<Aula> lerTodas() {}

}
