import java.time.Duration;
import java.time.LocalTime;
import java.util.ArrayList;

public class Main {

	static BancoDeDados bancoDeDados = new BancoDeDados();

	public static void main(String[] args) throws InterruptedException {
		AulaPratica aulaPratica = new AulaPratica();
		aulaPratica.setProfessor("Henrique");
		aulaPratica.setNumeroDeAlunos(35);
		aulaPratica.setDisciplina("Biologia");
		aulaPratica.setHorarioDeInicio(LocalTime.of(8, 0));
		aulaPratica.setTempoDeAula(Duration.ofSeconds(10));
		aulaPratica.setRoteiro("Pegue 1g de solução e papapa");

		Aula aulaNormal = new Aula();
		aulaNormal.setProfessor ("Jay");
		aulaNormal.setNumeroDeAlunos(1);
		aulaNormal.setDisciplina ("Java");
		aulaNormal.setHorarioDeInicio (LocalTime.of(15, 30));
		aulaNormal.setTempoDeAula (Duration.ofSeconds(5));
		
		Aula aulaNormal2 = new Aula();
		aulaNormal2.setProfessor ("Jay");
		aulaNormal2.setNumeroDeAlunos(1);
		aulaNormal2.setDisciplina ("Python");
		aulaNormal2.setHorarioDeInicio (LocalTime.of(15, 30));
		aulaNormal2.setTempoDeAula (Duration.ofSeconds(5));

		Aula.escola = "Varejão do ensino";
		
		// Create
		bancoDeDados.guardar(aulaPratica);
		bancoDeDados.guardar(aulaNormal);
		bancoDeDados.guardar(aulaNormal2);

		// Read
		ArrayList<Aula> aulasDoJay = bancoDeDados.pegarAulaPorProfessor("Jay");
		System.out.println(aulasDoJay); // [Java, Python]
		
		// Delete
		bancoDeDados.removeAula("Java");
		
		// Update
		Aula aula = bancoDeDados.pegarAulaPorDisciplina("Python");
		aula.setDisciplina("JavaScript");
		
		// Read
		aulasDoJay = bancoDeDados.pegarAulaPorProfessor("Jay");
		System.out.println(aulasDoJay); // [JavaScript]

		// Read
		ArrayList<Aula> aulasDoRick = bancoDeDados.pegarAulaPorProfessor("Henrique");
		System.out.println(aulasDoRick); // [Biologia]
	}

	static void imprimeAula(Aula aulaParaImprimir) {
		System.out.println("Professor da aula: " + aulaParaImprimir.getProfessor());
		System.out.println("Alunos da aula: " + aulaParaImprimir.getNumeroDeAlunos());
		System.out.println("Disciplina da aula: " + aulaParaImprimir.getDisciplina());
		System.out.println("Escola: " + Aula.escola);
		if (aulaParaImprimir instanceof AulaPratica) {
			System.out.println("Roteiro da aula: " + ((AulaPratica) aulaParaImprimir).getRoteiro());
		}
	}

	static void montarGradeHoraria() {
		// bancoDeDados.lerTodas();
	}

}